<p-breadcrumb [home]="{ routerLink:'../../', label: ' Bitácora', icon: 'pi pi-home' }"
  [model]="[{ routerLink: './',label: info | nameciCommit ,styleClass: info.type | classCommit}]">
</p-breadcrumb>
<div class="row bg-white mx-0 w-100 mt-4 pb-3">
  <div class="col">
    <p-fieldset [legend]="info.type == 'Update' ? 'Estado actual':'Estado inicial'">
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo asunto:</strong> {{info.state?.tipoAsunto}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Número de expediente:</strong> {{info.state?.numeroExpediente}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Órgano de radicación:</strong> {{info.state?.organoRadicacion}}
        </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Fecha resolución:</strong> {{info.state?.fechaResolucion}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Ponente:</strong> {{info.state?.ponente}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo persona promovente:</strong> {{info.state?.tipoPersonaPromovente}}
        </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo persona jurídico colectiva:</strong>
          {{info.state?.tipoPersonaJuridicoColectiva}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de violaciones planteadas en la demanda:</strong>
          {{info.state?.tipoViolacionPlanteadaenDemanda}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Derechos humanos cuya violación se plantea:</strong>
          {{info.state?.derechosHumanosCuyaViolacionPlantea}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Violación orgánica planteada:</strong>
          {{info.state?.violacionOrganicaPlanteada}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo(s) de vicio(s) en el proceso legislativo:</strong>
          {{info.state?.tipoViciosProcesoLegislativo}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de violación por invasión de esferas:</strong>
          {{info.state?.tipoViolacionInvacionEsferas}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de violación por invasión de poderes:</strong>
          {{info.state?.tipoViolacionInvacionPoderes}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Violación orgánica analizada en la sentencia:</strong>
          {{info.state?.violacionOrganicaAnalizadaenSentencia.join(', ')}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de violación por invasión de esferas y materia analizada en la
            sentencia:</strong> {{info.state?.tipoViolacionInvacionEsferasMateriaAnalizadaenSentencia}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de violación por invasión de poderes analizada en la sentencia:</strong>
          {{info.state?.tipoViolacionInvacionPoderesAnalizadoenSentencia}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Momento en el que surte efectos la sentencia:</strong>
          {{info.state?.momentoSurteEfectoSentencia}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Número de votaciones realizadas:</strong>
          {{info.state?.numeroVotacionesRealizadas}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Número de votaciones registrados:</strong>
          {{info.state?.numeroVotacionesRegistradas}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Trámite engrose:</strong> {{info.state?.tramiteEngrose}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Días transcurridos entre el dictado de la sentencia y la fecha de firma del
            engrose:</strong> {{info.state?.diasTranscurridosEntreDictadoSentenciayFirmaEngrose}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Fecha de la sentencia:</strong> {{info.state?.fechaSentencia}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Fecha firma del engrose:</strong> {{info.state?.fechaFirmaEngrose}} </span>
      </div>
    </p-fieldset>
  </div>
  <div class="col" *ngIf="info.beginState">
    <p-fieldset [legend]="info.type == 'Update' ? 'Estado inical':'Estado actual'">
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo asunto:</strong> {{info.beginState?.tipoAsunto}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Número de expediente:</strong> {{info.beginState?.numeroExpediente}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Órgano de radicación:</strong> {{info.beginState?.organoRadicacion}}
        </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Fecha resolución:</strong> {{info.beginState?.fechaResolucion}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Ponente:</strong> {{info.beginState?.ponente}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo persona promovente:</strong> {{info.beginState?.tipoPersonaPromovente}}
        </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo persona jurídico colectiva:</strong>
          {{info.beginState?.tipoPersonaJuridicoColectiva}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de violaciones planteadas en la demanda:</strong>
          {{info.beginState?.tipoViolacionPlanteadaenDemanda}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Derechos humanos cuya violación se plantea:</strong>
          {{info.beginState?.derechosHumanosCuyaViolacionPlantea}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Violación orgánica planteada:</strong>
          {{info.beginState?.violacionOrganicaPlanteada}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo(s) de vicio(s) en el proceso legislativo:</strong>
          {{info.beginState?.tipoViciosProcesoLegislativo}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de violación por invasión de esferas:</strong>
          {{info.beginState?.tipoViolacionInvacionEsferas}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de violación por invasión de poderes:</strong>
          {{info.beginState?.tipoViolacionInvacionPoderes}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Violación orgánica analizada en la sentencia:</strong>
          {{info.beginState?.violacionOrganicaAnalizadaenSentencia.join(', ')}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de violación por invasión de esferas y materia analizada en la
            sentencia:</strong> {{info.beginState?.tipoViolacionInvacionEsferasMateriaAnalizadaenSentencia}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de violación por invasión de poderes analizada en la sentencia:</strong>
          {{info.beginState?.tipoViolacionInvacionPoderesAnalizadoenSentencia}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Momento en el que surte efectos la sentencia:</strong>
          {{info.beginState?.momentoSurteEfectoSentencia}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Número de votaciones realizadas:</strong>
          {{info.beginState?.numeroVotacionesRealizadas}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Número de votaciones registrados:</strong>
          {{info.beginState?.numeroVotacionesRegistradas}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Trámite engrose:</strong> {{info.beginState?.tramiteEngrose}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Días transcurridos entre el dictado de la sentencia y la fecha de firma del
            engrose:</strong> {{info.beginState?.diasTranscurridosEntreDictadoSentenciayFirmaEngrose}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Fecha de la sentencia:</strong> {{info.beginState?.fechaSentencia}} </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Fecha firma del engrose:</strong> {{info.beginState?.fechaFirmaEngrose}}
        </span>
      </div>
    </p-fieldset>
  </div>
</div>
